import numpy as np
import matplotlib
matplotlib.use('Agg')
import matplotlib.pyplot as plt

################################################

plot_range = [-0.11, 0.51, -0.02, 0.6]

################################################

branch_tr = np.loadtxt("2D_SH_L2pi_rcont_triv.dat", delimiter=',')
branch_st = np.loadtxt("2D_SH_L2pi_rcont_stripe.dat", delimiter=',')
branch_sq = np.loadtxt("2D_SH_L2pi_rcont_square.dat", delimiter=',')

x = 3

y = 7

f = 1.

################################################

plt.figure()#, figsize=(24, 12))
plt.rc('xtick',labelsize=12)
plt.rc('ytick',labelsize=12)
plt.axis(plot_range)

plt.xlabel(r'$\varepsilon$',fontsize=18)
plt.ylabel(r'$||\delta\Psi||$',fontsize=18)

plt.plot(np.linspace(-0.1,0.,20),np.zeros(20), color=(0.0,0.165,0.424), linestyle='-', linewidth=3)
plt.plot(branch_tr[x,:],f*branch_tr[y,:], color=(0.0,0.165,0.424), linestyle=':', linewidth=3)
plt.plot(branch_st[x,:],f*branch_st[y,:], color=(0.333, 0.420, 0.184), linestyle='-', linewidth=3)
plt.plot(branch_sq[x,:],f*branch_sq[y,:], color='darkorange', linestyle=':', linewidth=3)

plt.savefig("bifurcation_diagram.png", bbox_inches='tight')
